Skip to main content
POST
/
api
/
Gift
/
Query
/
FullGift
Query Gifts with Full Details
curl --request POST \
  --url https://api.virtuoussoftware.com/api/Gift/Query/FullGift \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "groups": [
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    },
    {
      "conditions": [
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        },
        {
          "parameter": "<string>",
          "operator": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>",
            "<string>"
          ]
        }
      ]
    }
  ],
  "sortBy": "<string>",
  "descending": "<boolean>"
}
'
{
  "list": [
    {
      "id": "<integer>",
      "transactionSource": "<string>",
      "transactionId": "<string>",
      "contactId": "<integer>",
      "contactName": "<string>",
      "contactUrl": "<string>",
      "giftType": "<string>",
      "giftTypeFormatted": "<string>",
      "giftDate": "<dateTime>",
      "giftDateFormatted": "<string>",
      "amount": "<double>",
      "amountFormatted": "<string>",
      "currencyCode": "<string>",
      "exchangeRate": "<decimal>",
      "baseCurrencyCode": "<string>",
      "batch": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "segmentId": "<integer>",
      "segment": "<string>",
      "segmentCode": "<string>",
      "segmentUrl": "<string>",
      "mediaOutletId": "<integer>",
      "mediaOutlet": "<string>",
      "grantId": "<integer>",
      "grant": "<string>",
      "grantUrl": "<string>",
      "notes": "<string>",
      "tribute": "<string>",
      "tributeId": "<integer>",
      "tributeType": "<string>",
      "acknowledgeeIndividualId": "<integer>",
      "receiptDate": "<dateTime>",
      "receiptDateFormatted": "<string>",
      "contactPassthroughId": "<integer>",
      "contactPassthroughUrl": "<string>",
      "contactIndividualId": "<integer>",
      "cashAccountingCode": "<string>",
      "giftAskId": "<integer>",
      "contactMembershipId": "<integer>",
      "giftDesignations": [
        {
          "id": "<integer>",
          "projectId": "<integer>",
          "project": "<string>",
          "projectCode": "<string>",
          "externalAccountingCode": "<string>",
          "projectType": "<string>",
          "projectLocation": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "display": "<string>"
        },
        {
          "id": "<integer>",
          "projectId": "<integer>",
          "project": "<string>",
          "projectCode": "<string>",
          "externalAccountingCode": "<string>",
          "projectType": "<string>",
          "projectLocation": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "display": "<string>"
        }
      ],
      "giftPremiums": [
        {
          "id": "<integer>",
          "premiumId": "<integer>",
          "premium": "<string>",
          "premiumUrl": "<string>",
          "quantity": "<integer>",
          "display": "<string>"
        },
        {
          "id": "<integer>",
          "premiumId": "<integer>",
          "premium": "<string>",
          "premiumUrl": "<string>",
          "quantity": "<integer>",
          "display": "<string>"
        }
      ],
      "pledgePayments": [
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        },
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        }
      ],
      "recurringGiftPayments": [
        {
          "id": "<integer>",
          "gift": {
            "id": "<integer>",
            "contactId": "<integer>",
            "giftDate": "<dateTime>",
            "amount": "<double>"
          },
          "expectedAmount": "<double>",
          "expectedPaymentDate": "<dateTime>",
          "dismissPaymentDate": "<dateTime>",
          "fulfillPaymentDate": "<dateTime>"
        },
        {
          "id": "<integer>",
          "gift": {
            "id": "<integer>",
            "contactId": "<integer>",
            "giftDate": "<dateTime>",
            "amount": "<double>"
          },
          "expectedAmount": "<double>",
          "expectedPaymentDate": "<dateTime>",
          "dismissPaymentDate": "<dateTime>",
          "fulfillPaymentDate": "<dateTime>"
        }
      ],
      "giftUrl": "<string>",
      "isPrivate": "<boolean>",
      "isTaxDeductible": "<boolean>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    },
    {
      "id": "<integer>",
      "transactionSource": "<string>",
      "transactionId": "<string>",
      "contactId": "<integer>",
      "contactName": "<string>",
      "contactUrl": "<string>",
      "giftType": "<string>",
      "giftTypeFormatted": "<string>",
      "giftDate": "<dateTime>",
      "giftDateFormatted": "<string>",
      "amount": "<double>",
      "amountFormatted": "<string>",
      "currencyCode": "<string>",
      "exchangeRate": "<decimal>",
      "baseCurrencyCode": "<string>",
      "batch": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "segmentId": "<integer>",
      "segment": "<string>",
      "segmentCode": "<string>",
      "segmentUrl": "<string>",
      "mediaOutletId": "<integer>",
      "mediaOutlet": "<string>",
      "grantId": "<integer>",
      "grant": "<string>",
      "grantUrl": "<string>",
      "notes": "<string>",
      "tribute": "<string>",
      "tributeId": "<integer>",
      "tributeType": "<string>",
      "acknowledgeeIndividualId": "<integer>",
      "receiptDate": "<dateTime>",
      "receiptDateFormatted": "<string>",
      "contactPassthroughId": "<integer>",
      "contactPassthroughUrl": "<string>",
      "contactIndividualId": "<integer>",
      "cashAccountingCode": "<string>",
      "giftAskId": "<integer>",
      "contactMembershipId": "<integer>",
      "giftDesignations": [
        {
          "id": "<integer>",
          "projectId": "<integer>",
          "project": "<string>",
          "projectCode": "<string>",
          "externalAccountingCode": "<string>",
          "projectType": "<string>",
          "projectLocation": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "display": "<string>"
        },
        {
          "id": "<integer>",
          "projectId": "<integer>",
          "project": "<string>",
          "projectCode": "<string>",
          "externalAccountingCode": "<string>",
          "projectType": "<string>",
          "projectLocation": "<string>",
          "projectUrl": "<string>",
          "amountDesignated": "<double>",
          "display": "<string>"
        }
      ],
      "giftPremiums": [
        {
          "id": "<integer>",
          "premiumId": "<integer>",
          "premium": "<string>",
          "premiumUrl": "<string>",
          "quantity": "<integer>",
          "display": "<string>"
        },
        {
          "id": "<integer>",
          "premiumId": "<integer>",
          "premium": "<string>",
          "premiumUrl": "<string>",
          "quantity": "<integer>",
          "display": "<string>"
        }
      ],
      "pledgePayments": [
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        },
        {
          "id": "<integer>",
          "expectedPaymentDate": "<dateTime>",
          "expectedAmount": "<double>",
          "giftId": "<integer>",
          "actualAmount": "<double>"
        }
      ],
      "recurringGiftPayments": [
        {
          "id": "<integer>",
          "gift": {
            "id": "<integer>",
            "contactId": "<integer>",
            "giftDate": "<dateTime>",
            "amount": "<double>"
          },
          "expectedAmount": "<double>",
          "expectedPaymentDate": "<dateTime>",
          "dismissPaymentDate": "<dateTime>",
          "fulfillPaymentDate": "<dateTime>"
        },
        {
          "id": "<integer>",
          "gift": {
            "id": "<integer>",
            "contactId": "<integer>",
            "giftDate": "<dateTime>",
            "amount": "<double>"
          },
          "expectedAmount": "<double>",
          "expectedPaymentDate": "<dateTime>",
          "dismissPaymentDate": "<dateTime>",
          "fulfillPaymentDate": "<dateTime>"
        }
      ],
      "giftUrl": "<string>",
      "isPrivate": "<boolean>",
      "isTaxDeductible": "<boolean>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10. Max is 1000.

Body

application/json
groups
object[]
sortBy
string
descending
string

Response

200 - application/json

OK

list
object[]
total
string
Last modified on April 24, 2026